SD_BUS_CAN_SEND(3)

NAME
sd_bus_can_send - Check which types can be sent over a bus object

SYNOPSIS

#include <elogind/sd-bus.h>

int sd_bus_can_send(sd_bus *bus, char type);

DESCRIPTION

sd_bus_can_send() is mostly used for checking if file descriptor passing is available on the given bus. type can be any of the SD_BUS_TYPE constants.

RETURN VALUE

On failure, sd_bus_can_send() returns a negative errno-style error code. If values of the given type can be sent over the given bus, it returns a positive integer. Otherwise, it returns zero.

  Errors

Returned errors may indicate the following problems:

-ENOPKG
    The bus object bus could not be resolved.

-ENOTCONN
    The input parameter bus is NULL or the bus is not connected.

-ECHILD
    The bus object bus was created in a different process.

NOTES

Functions described here are available as a shared library, which can be compiled against and linked to with the libelogind pkg-config(8) file.

HISTORY

sd_bus_can_send() was added in version 221.

SEE ALSO

elogind(8), sd-bus(3)